<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.WxjsJyktUploadMapper">

    <select id="getItfTblWxjsJykt" parameterType="com.zfire.jiasm.syncdata.parameter.OrderPar" resultType="com.zfire.jiasm.syncdata.plus.entity.ItfTblwxjsjykt">
        select  1 as status, a.worker_order_no, a.wxjsguid as id, a.pgid,
                '1' as wxlx3,nwji,jqtm,wjxin, njtm as njtm1,njxin,gmrq,bxrq,xfrq,a.wxgid,wxgmc,
                wxgdh,wxfy,jtfy,qtfy,zjfy,wxwdno,wxwdmc,beiz,czrid,czrmc,
                sftb,sffh,gpsdzxx,yddh,zsfy,dzfy,spid,spmc,1120 as stat,cjdt,1 as dnorsj,
                pgmxid,sjcjjd,sjcjwd,yyjflag,a.wxlx,bwgsj,area_code as qhao,address as yhdz, user_name as yhxm,
                b.province_id as sfen,b.city_id as cshi,b.area_id as xian,b.street_id as xzhen
        from itf_tbl_wxjs_jykt_upload a, order_base b
        where a.worker_order_no = #{request.orderNo} and a.fa_order_repair_detail_id = #{request.id}
          and a.worker_order_no = b.id and syn_req_id = #{request.synReqId}
    </select>


</mapper>
